/*
 *	$safeprojectname$.c
 *
 *	Created: 08.06.2013 14:34:02
 *  Author: Michael
 */ 

#include <avr/io.h>
#include <stdio.h>
#include "usart_lib.h"
#include "pcf8591.h"

#define CONTRBYTE 0x40			/** Control Byte is sent as the second byte after start  , 0100 0000 (0x40) */
								/** then the data will be sent*/
#define STEPS1 17
#define STEPS2 34

static FILE mystdio = FDEV_SETUP_STREAM(uart_putchar, uart_getchar,_FDEV_SETUP_RW);
//unsigned char voltage[STEPS1] = {127, 174, 214, 243, 255, 251, 231 ,195, 151, 104 ,60, 25, 5, 0, 13, 42, 82};
unsigned char voltage[STEPS2] = {128, 151, 174, 195, 214, 230, 243, 251, 255, 255, 251, 243, 230, 214, 195, 174, 151,
								 128, 104,  82,  60,  42,  25,  13,   5,   0,   0,   5,  13,  25,  42,  60,  82, 104};
unsigned short i = 0; 
unsigned short j = 0;

int main(void) {
	stdout = stdin = &mystdio;
	uart_init();
	
	extadc_init ();
	
	extadc_send_start ();
	extadc_send_add_rw (0x00, 0);
	extadc_send_byte (CONTRBYTE);
	
	while(1) {		
		for(i = 0; i < STEPS2; i++) {
			extadc_send_byte (voltage[i]);
			for(j = 0; j <= 6000; j++); {
				asm("nop");
			}			
		}
	}
}